commit: 48515df67799460c273d97e92b3a48d785db44d1
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon May 18 18:11:54 2020 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon May 18 18:15:09 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48515df6
dev-ruby/actionview: add 5.2.4.3
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/actionview/Manifest | 1 +
dev-ruby/actionview/actionview-5.2.4.3.ebuild | 61 +++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-ruby/actionview/Manifest b/dev-ruby/actionview/Manifest
index 2671a927c04..7cf3db0c180 100644
--- a/dev-ruby/actionview/Manifest
+++ b/dev-ruby/actionview/Manifest
@@ -1,3 +1,4 @@
DIST rails-5.2.4.2.tgz 8823143 BLAKE2B
273bee6ccc2354bcfd8d24b320fe69c24f643c196eba053c727d30b13d4178069068c430a0a4112ae28c3e4b5a5dde0b66a7c46c7c28054f2b7a678427f478af
SHA512
21561407a0b606dbd2fb6ad12ef910c0bdf3d5162db7e55f4f41f698280ba73664b0b5594930d4cebcb42a66e2e5e22de3523789818eb424443e8c5b2316b8fc
+DIST rails-5.2.4.3.tgz 8824955 BLAKE2B
7db1bdda581e345713b796152c68e13911076c0af752aa91016a559fb380ee33b5f1822576120940995968efa6351165af0e21f97ff2e201bc8250f7e3178089
SHA512
b01b454f38593b50788cecef4f2b25938b0e176d24476bf0a8145b581c7327e0d8572a62fab4256372b51d75a9463431bbd98470a31298a6ff4d5f81f7ff92ce
DIST rails-6.0.2.2.tgz 18556125 BLAKE2B
f4ed5cc6cbbfa84fb687aba5a6c8f2f6ab68febb41147c40ed8dbc6253c128adbac6503e65e89fe672f50270716d197d8c05b4e1e286aafd76581fc167e6c5da
SHA512
c1aab2d6c72948c75a047aec9d9f651f0c1bae78bb17e2fa0cb393113ee1e59980dc093e6f3fd3b2f3839c9b3bb4afcd0b0badfd9574b35b932275a9d9800689
DIST rails-6.0.3.tgz 18565682 BLAKE2B
fe8601aec070535f487801eec16d944809be824e4833b7a906b47b4099dd5e72515ac3e492e4301dd651657fc2c4547ecbdd2c12265e04aad2758e9e284ad385
SHA512
f4572b4ebba9a79a6910c554f06e71efab5ccc0090e1a620e80b9d3b479cdd21d5a041437d90313e045e47ccc6e44eb21d4e56cc9fe1fb791cf5593427d0501b
diff --git a/dev-ruby/actionview/actionview-5.2.4.3.ebuild
b/dev-ruby/actionview/actionview-5.2.4.3.ebuild
new file mode 100644
index 00000000000..26bfedbb630
--- /dev/null
+++ b/dev-ruby/actionview/actionview-5.2.4.3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eapi7-ver
+
+DESCRIPTION="Simple, battle-tested conventions and helpers for building web
pages"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz ->
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
+ >=dev-ruby/erubi-1.4:0
+ >=dev-ruby/rails-html-sanitizer-1.0.3:1
+ dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activemodel-${PV}
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/
s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid activerecord integration tests because they are very sensitive
to the specifics
+ # of the environment.
+ sed -i -e 's/, "test:integration:active_record"//' Rakefile || die
+
+ sed -e '2igem "actionpack", "~> 5.2.0"' \
+ -e '2igem "activemodel", "~> 5.2.0"' \
+ -e '2igem "railties", "~> 5.2.0"' \
+ -e '/active_record/ s:^:#:' \
+ -i test/abstract_unit.rb || die
+}